Bug 427735 - crash when no package specified
crash when no package specified
Product: Fedora
Classification: Fedora
Component: sinjdoc (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-07 05:07 EST by Radek Vokal
Modified: 2009-07-14 11:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Janousek 2008-01-07 05:07:39 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Tomas Janousek 2008-01-07 05:11:50 EST
Oh, hell, sorry for filing empty bug, I hit enter too early by mistake :)

Description of problem:
When running sinjdoc on java source with no package specified,
NullPointerException gets thrown:
[root@rawhide-64 tmp]# sinjdoc Test.java 
Parsing Test.java
   at net.cscott.sinjdoc.parser.Java15.do_action(sinjdoc.jar.so)
   at java_cup.runtime.lr_parser.parse(java_cup-runtime-0.10.jar.so)
   at net.cscott.sinjdoc.parser.PRootDoc.findOrCreateClasses(sinjdoc.jar.so)
   at net.cscott.sinjdoc.parser.ParseControl.parse(sinjdoc.jar.so)
   at net.cscott.sinjdoc.Main.execute(sinjdoc.jar.so)
   at net.cscott.sinjdoc.Main.execute(sinjdoc.jar.so)
   at net.cscott.sinjdoc.Main.execute(sinjdoc.jar.so)
   at net.cscott.sinjdoc.Main.execute(sinjdoc.jar.so)
   at net.cscott.sinjdoc.Main.main(sinjdoc.jar.so)

I guess I needn't attach the file, it's just a single almost empty class. Other
javadoc tools have no problem with it.
Comment 2 Bug Zapper 2008-05-14 00:18:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Bug Zapper 2009-06-09 19:20:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-07-14 11:56:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.